Skip to main content
POST
/
generation
/
lightricks
/
ltx-2.3
/
audio-to-video
LTX 2.3 Audio to Video
curl --request POST \
  --url https://open.skills.video/api/v1/generation/lightricks/ltx-2.3/audio-to-video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "audio_url": "<string>"
}
'
{
  "id": "<string>",
  "status": "starting",
  "usage": {
    "total": 0,
    "subscription": 0,
    "permanent": 0
  }
}
Generate expressive videos from audio, with optional image and prompt control.

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

application/json
audio_url
string<uri>
required

URL of the source audio file (2-20 seconds).

n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4
image_url
string<uri>

Optional image used as the first frame of the generated video.

prompt
string

Optional generation prompt. Required by backend when image_url is not provided.

guidance_scale
number
default:5

Prompt guidance strength. Higher values follow the prompt more strictly.

Required range: 1 <= x <= 50

Response

Generation status

id
string
required

Generation id.

status
enum<string>
required

Generation status

Available options:
starting,
processing,
succeeded,
failed,
canceled
usage
object
required

Credit usage breakdown for the request